function Copy(path) {
    var currentDocNum = FindCurrentTab();
    Documents.NewDocument("");
    Editor.Text = path;
    Actions.Execute("ActSelectAll");
    Actions.Execute("ActCopy");
    Document.Close(true);
    if (currentDocNum != null) {
        Documents.Tab[currentDocNum].Activate;
    }

}

function GetFileName(Sender) {
    if (Sender.FileName != "")
        return Sender.FileName;
    return Sender.FtpFileName;
}

function FindCurrentTab() {
    var res = null;
    for (var i=0;i<Documents.Count;i++) {
        if (GetFileName(Documents.Tab[i]) == GetFileName(Document)) {
            res = i;
            break;
        }
    }
    return res;
}

function CopyPath(Sender) {
    Copy(GetFileName(Document));
}

function CopyDir(Sender) {
    Copy(ExtractFilePath(GetFileName(Document)));
}

function CopyFilename(Sender) {
    Copy(ExtractFileName(GetFileName(Document)));
}

Script.RegisterDocumentAction("", "Copy File Path", "", &CopyPath);
Script.RegisterDocumentAction("", "Copy File Directory", "", &CopyDir);
Script.RegisterDocumentAction("", "Copy File Name", "", &CopyFilename);

